package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class DrpPurPlanDetailListVO {
   @ApiModelProperty("采购计划详情id")
   private Long detailId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别")
   private String categoryName;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("生产计划数量")
   private BigDecimal proPlanNum;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("规格")
   private String size;

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public BigDecimal getProPlanNum() {
      return this.proPlanNum;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getSize() {
      return this.size;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setProPlanNum(final BigDecimal proPlanNum) {
      this.proPlanNum = proPlanNum;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

}
